Comment on Photo Desktop

The system requirements for version 2.0 are ridiculous. I guess I'll still be using version 1.x.